summaryrefslogtreecommitdiffstats
path: root/packaging/android/android-build-setup.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2020-11-27 22:18:39 +0000
committerGravatar Dirk Hohndel <dirk@hohndel.org>2020-12-17 09:17:54 -0800
commitfb3d1b3073ed2dc51048b7e11153d41ab1ed5dfe (patch)
tree126a214fee3345bdfa8244f021eb92eacbcd41a2 /packaging/android/android-build-setup.sh
parentdbf2e3a85796d97f31939cb35a0b9b8347eabcb0 (diff)
downloadsubsurface-fb3d1b3073ed2dc51048b7e11153d41ab1ed5dfe.tar.gz
Android: improve documentation and setup script
This has now been verified to work on a fresh clean Ubuntu 20.04 install, both using the docker image route as well as the full local build system. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'packaging/android/android-build-setup.sh')
-rwxr-xr-xpackaging/android/android-build-setup.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/packaging/android/android-build-setup.sh b/packaging/android/android-build-setup.sh
index 20aff7edd..572eda22d 100755
--- a/packaging/android/android-build-setup.sh
+++ b/packaging/android/android-build-setup.sh
@@ -52,11 +52,11 @@ yes | sdkmanager --sdk_root=/android --licenses
# next check that Qt is installed
if [ ! -d "$LATEST_QT" ] ; then
pip3 install aqtinstall
- aqt install -O /android "$LATEST_QT" linux android -m qtcharts
+ $HOME/.local/bin/aqt install -O /android "$LATEST_QT" linux android -m qtcharts
fi
# now that we have an NDK, copy the font that we need for OnePlus phones
# due to https://bugreports.qt.io/browse/QTBUG-69494
-cp "$ANDROID_HOME"/platforms/"$ANDROID_PLATFORMS"/data/fonts/Roboto-Regular.ttf "$SUBSURFACE_SOURCE"/android-mobile || exit 1
+cp "$ANDROID_HOME"/platforms/"$ANDROID_PLATFORMS"/data/fonts/Roboto-Regular.ttf "$SCRIPTDIR"/../../android-mobile || exit 1
echo "things are set up for the Android build"